## esda 2.4.3

=== requirements.txt ===
scipy>=0.11
pandas
libpysal
scikit-learn

=== debian/changelog ===
esda (2.4.3-4) unstable; urgency=medium

  * FTBFS with current numba version. (Closes: #1029466)
  * please make the build reproducible. (Closes: #1032409)
  * debian/control:
     - dependency change from jdupes to fdupes
     - update Standards-Version to 4.6.2
  * debian/copyright: updated year to 2023
  * debian/patches: reproducible build
     - The documentation embedded the full build path,
       ironically because esda was incorrectly passing
       a directory to env.doc2path.
       Thanks Chris Lamb <lamby@debian.org> Bug report (1032409).
  * debian/rules: changing shape remove file duplication
     - calls out to jdupes, but this utility cleans up
       duplicates depending on the underlying filesystem
       order. Thanks Chris Lamb <lamby@debian.org>.
       Bug report (1032409.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 12 Jul 2023 18:53:42 -0300

esda (2.4.3-3) unstable; urgency=medium

  * debian/rules: skipped tests with errors

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 10 Feb 2023 18:18:20 -0300

esda (2.4.3-2) unstable; urgency=medium

  * Fix field name case in debian/tests/control (Test-command => Test-Command).
  * Fix nodoc build profile, mark documentation build dependencies.
  * Add myself to uploaders.

 -- Andrius Merkys <merkys@debian.org>  Thu, 03 Nov 2022 12:16:13 -0000

esda (2.4.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1020645)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 24 Sep 2022 14:23:53 -0300

=== debian/control ===
Source: esda
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>,
           Andrius Merkys <merkys@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               fdupes,
               pandoc <!nodoc>,
               python-mpl-sphinx-theme-doc <!nodoc>,
               python3-all,
               python3-geopandas,
               python3-libpysal,
               python3-matplotlib,
               python3-nbsphinx <!nodoc>,
               python3-numba,
               python3-numpydoc <!nodoc>,
               python3-pandas,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-scipy,
               python3-setuptools,
               python3-sklearn,
               python3-sphinx,
               python3-sphinx-bootstrap-theme <!nodoc>,
               python3-sphinxcontrib.bibtex <!nodoc>,
               twine
Standards-Version: 4.6.2
Homepage: https://github.com/pysal/esda
Vcs-Browser: https://salsa.debian.org/science-team/esda
Vcs-Git: https://salsa.debian.org/science-team/esda.git

Package: python3-esda
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-esda-doc
Description: Exploratory Spatial Data Analysis
 Open-source Python library for the exploratory analysis of spatial data.
 A subpackage of PySAL (Python Spatial Analysis Library), it is under active
 development and includes methods for global and local spatial autocorrelation
 analysis.
 .
 This package installs the library for Python 3.

Package: python-esda-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Exploratory Spatial Data Analysis (common documentation)
 Open-source Python library for the exploratory analysis of spatial data.
 A subpackage of PySAL (Python Spatial Analysis Library), it is under active
 development and includes methods for global and local spatial autocorrelation
 analysis.
 .
 This package contains HTML documentation, incorporates instructions on how
 to install and configure and use this module Python esda.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=esda

# "Permission denied @ dir_s_mkdir - /nonexistent"
export HOME=/tmp

# ignore tests with unknown errors
export PYBUILD_TEST_ARGS=--ignore=esda/tests/test_adbscan.py \
	--ignore=esda/tests/test_silhouette.py \
	--ignore=esda/tests/test_topo.py \
	--ignore=esda/tests/test_local_geary.py \
	--ignore=esda/tests/test_getisord.py \
	--ignore=esda/tests/test_ljc.py \
	--ignore=esda/tests/test_moran.py \
        --ignore=esda/tests/test_util.py \
	--ignore=esda/tests/test_ljc_bv.py \
	--ignore=esda/tests/test_ljc_mv.py
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# sphinx documentation
override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=esda python3 -m sphinx $(SPHINXOPTS) -d debian/doctrees -N docs/ \
		$(CURDIR)/debian/python-esda-doc/usr/share/doc/python-esda-doc/html
	dh_sphinxdoc
endif

override_dh_link:
	dh_link

# Fix duplicate-files
	fdupes -rdN debian/python-esda-doc/usr/share/doc/python-esda-doc/html/

# Fix privacy-breach-generic
	find debian/python-esda-doc/ -name '*.html' -exec sed -i 's|src="https://||g' {} \;

# Remove all file '.js' sphinx documentation
	find debian/python-esda-doc/usr/share/doc -name '*.js' -delete
	find debian/ -name '*glyphicons-*' -delete
	find debian/python-esda-doc/ -type d -empty -delete

=== debian/tests/control ===
Depends: python3,
         python3-libpysal,
         python3-unittest2,
         @
Restrictions: allow-stderr
Test-Command: cp -r esda/tests/test_util.py $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && python3 -m unittest discover -v -s test

## esda 2.5.0

=== debian/changelog ===
esda (2.5.0-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * Remove myself from uploaders.

  [ Josenilson Ferreira da Silva ]
  * New upstream version 2.5.0
  * debian/control: Added Build-Depends pybuild-plugin-pyproject
  * debian/patches: Have been fixed in the new version
  * debian/rules: Enabled new tests that had errors
  * debian/tests/control: Modified tests to add new tests

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 27 Aug 2023 16:22:48 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>,
-           Andrius Merkys <merkys@debian.org>
+Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -13,6 +12,7 @@
                python3-all,
                python3-geopandas,
                python3-libpysal,
+               pybuild-plugin-pyproject,
                python3-matplotlib,
                python3-nbsphinx <!nodoc>,
                python3-numba,

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=esda
# "Permission denied @ dir_s_mkdir - /nonexistent"
export HOME=/tmp
export PYBUILD_TEST_ARGS=--ignore=esda/tests/test_map_comparison.py \
	--ignore=esda/tests/test_topo.py \
	--ignore=esda/tests/test_lee.py \
	--ignore=esda/tests/test_local_geary.py
	
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# sphinx documentation
override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=esda python3 -m sphinx $(SPHINXOPTS) -d debian/doctrees -N docs/ \
		$(CURDIR)/debian/python-esda-doc/usr/share/doc/python-esda-doc/html
	dh_sphinxdoc
endif

override_dh_link:
	dh_link
# Fix duplicate-files
	fdupes -rdN debian/python-esda-doc/usr/share/doc/python-esda-doc/html/
# Fix privacy-breach-generic
	find debian/python-esda-doc/ -name '*.html' -exec sed -i 's|src="https://||g' {} \;
# Remove all file '.js' sphinx documentation
	find debian/python-esda-doc/usr/share/doc -name '*.js' -delete
	find debian/ -name '*glyphicons-*' -delete
	find debian/python-esda-doc/ -type d -empty -delete

=== debian/tests/control ===
Test-Command: python3 -m pytest  -v -k 'not test_map_comparison.py and not test_topo.py and not test_lee.py and not test_local_geary.py' esda/tests/
Depends: python3,
         python3-pytest,
         python3-libpysal,
         python3-unittest2,
         python3-geopandas,
         @
Restrictions: allow-stderr

## esda 2.5.1

=== debian/changelog ===
esda (2.5.1-6) unstable; urgency=medium

  * Bug fixed in version 2.5.1-4 (Closes: #1058471)
  * debian/control: Bumped Standards-Version to 4.7.0
  * debian/patches/001.fixed-path-file.patch:
    - Fixed metadata "Forwarded" para "not-needed" (closes: #1073155)
  * debian/patches: Fixed email do maintainer nos patches:
    - 001.fixed-path-file.patch
    - 004.fixed-path-file-tests.patch Closes: #1073154)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Jul 2024 02:45:27 -0300

esda (2.5.1-5) unstable; urgency=medium

  * debian/patches/004.fixed-path-file-tests.patch:
     - Fixed absolute path to variable

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 10 Jun 2024 23:04:30 -0300

esda (2.5.1-4) unstable; urgency=medium

  * debian/clean: Added new construction artifacts
  * debian/control:
    - Added Build-depends python3-rtree required for tests
    - Added tag "<!nocheck>" Build-depends to tests
    - Removed build-depends python3-numba
  * debian/patches/001.fixed-path-file.patch: Fixed file path
    debian/patches//004.fixed-path-file-tests.patch:
     - Changed path to test files
     - Ignored function with error atol/rtol
  * debian/rules: Enabled tests

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 05 Jun 2024 00:15:58 -0300

esda (2.5.1-3) unstable; urgency=medium

  [ Josenilson Ferreira da Silva ]
  * debian/control: added Build-Depends "python3-setuptools-scm"
  * Revert "Finalize new version 2.5.1-3"

  [ Dmitry Shachnev ]
  * Restore 003.reproducible.build.patch which was wrongly dropped.
  * Use jdupes to link duplicate files.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 24 Mar 2024 18:46:00 -0300

esda (2.5.1-2) unstable; urgency=medium

  * Team upload.
  * Verify that package builds with latest Python3 and latest Pandas
    Closes: #1044077, #1054761
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 12:36:35 +0100

esda (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * debian/rules: Added tests to an ignore list
  * debian/tests: Added tests to do not run list

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 02 Nov 2023 21:57:55 -0300

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=esda
# "Permission denied @ dir_s_mkdir - /nonexistent"
export HOME=/tmp
export PYBUILD_TEST_ARGS=-v -p no:warnings --ignore=esda/tests/test_map_comparison.py


%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# sphinx documentation
override_dh_sphinxdoc:
	PYTHONPATH=esda python3 -m sphinx $(SPHINXOPTS) -d debian/doctrees -N docs/ \
		$(CURDIR)/debian/python-esda-doc/usr/share/doc/python-esda-doc/html

override_dh_link:
	dh_link
# Fix duplicate-files
	find -type f -print0 debian/python-esda-doc/usr/share/doc/python-esda-doc/html/ | \
		sort -z | xargs -0r jdupes -Ol
# Fix privacy-breach-generic
	find debian/python-esda-doc/ -name  '*.html' -exec sed -i 's/.*https:.*//g' {} \;
# Remove all file '.js' sphinx documentation
	find debian/python-esda-doc/usr/share/doc -name '*.js' -delete
	find debian/ -name '*glyphicons-*' -delete
	find debian/python-esda-doc/ -type d -empty -delete

=== debian/tests/control ===
Test-Command: python3 -m pytest  -v -k 'not test_map_comparison.py and not test_topo.py and not test_smoothing.py and not test_geary.py and not test_local_geary_mv.py and not test_util.py and not test_losh.py and not test_lee.py and not test_local_geary.py and not test_moran.py and not test_smaup.py' esda/tests/
Depends: python3,
         python3-pytest,
         python3-libpysal,
         python3-unittest2,
         python3-geopandas,
         @
Restrictions: allow-stderr

## esda 2.6.0

=== debian/changelog ===
esda (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * debian/patches/004.fixed-path-file-tests.patch:
     - Patch adjusted due to changes in this new version
  * debian/rules: Test ignored because using external connection
  * debian/tests/control:
     - Added dependencies: python3-matplotlib, python3-numba
     - Removed tests from skip lists

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 22 Sep 2024 12:19:13 -0300

esda (2.5.1-7) unstable; urgency=medium

  * Team Upload
  * Remove extraneous, stale, dependency on python3-unittest2

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Sep 2024 20:58:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 export PYBUILD_NAME=esda
 # "Permission denied @ dir_s_mkdir - /nonexistent"
 export HOME=/tmp
-export PYBUILD_TEST_ARGS=-v -p no:warnings --ignore=esda/tests/test_map_comparison.py
-
+export PYBUILD_TEST_ARGS=-v -p no:warnings \
+	 --ignore=esda/tests/test_map_comparison.py \
+         --ignore=esda/tests/test_moran.py
+#"test_moran.py" disabled because it requires an external connection
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -m pytest  -v -k 'not test_map_comparison.py and not test_moran.py' esda/tests/
Depends: @, python3-all, python3-pytest, python3-libpysal, python3-geopandas, python3-numba, python3-matplotlib
Restrictions: allow-stderr

## esda 2.7.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = PACKAGE_NAME
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@rsync -r --exclude '.ipynb_checkpoints/' ../notebooks/ ./notebooks/
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

github:
	@make html

sync:

	@rsync -avh --exclude '.nojekyll' _build/html/ ../docs/ --delete
	@rsync -avh --exclude '.nojekyll' figs/ ../docs/figs/ --delete
	@make clean
	touch ../docs/.nojekyll

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf auto_examples/
	rm -rf generated/

=== debian/changelog ===
esda (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * debian/control:
     - Bumped Standards-Version to 4.7.2
  * debian/patches:
     - Added 005.fix-docstring-underline-length.patch
     - Necessary adjustments "hunk"  004.fixed-path-file-tests.patch

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 06 Apr 2025 08:24:35 -0300

esda (2.6.0-3) unstable; urgency=medium

  * debian/rules:
     - Removed test_local_geary.py from ignore lists
  * debian/tests/control:
     - Added restrictions for testing on i386, riscv64 and s390x

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 17 Oct 2024 22:08:28 -0300

esda (2.6.0-2) unstable; urgency=medium

  * debian/patches/debian/patches/001.fixed-path-file.patch:
     - Removed because it's not working
  * debian/rules: Unknown error in regions.zip file path

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 12 Oct 2024 11:44:42 -0300

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,32 @@
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               fdupes,
+               dh-sequence-python3,
+               jdupes,
                pandoc <!nodoc>,
+               pybuild-plugin-pyproject,
                python-mpl-sphinx-theme-doc <!nodoc>,
                python3-all,
-               python3-geopandas,
+               python3-coverage <!nocheck>,
+               python3-geopandas <!nocheck>,
                python3-libpysal,
-               pybuild-plugin-pyproject,
                python3-matplotlib,
                python3-nbsphinx <!nodoc>,
-               python3-numba,
                python3-numpydoc <!nodoc>,
                python3-pandas,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
+               python3-rtree,
                python3-scipy,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-sklearn,
-               python3-sphinx,
+               python3-sphinx <!nodoc>,
                python3-sphinx-bootstrap-theme <!nodoc>,
                python3-sphinxcontrib.bibtex <!nodoc>,
                twine
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/pysal/esda
 Vcs-Browser: https://salsa.debian.org/science-team/esda
 Vcs-Git: https://salsa.debian.org/science-team/esda.git

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,10 @@
 # "Permission denied @ dir_s_mkdir - /nonexistent"
 export HOME=/tmp
 export PYBUILD_TEST_ARGS=-v -p no:warnings \
-	 --ignore=esda/tests/test_map_comparison.py \
-         --ignore=esda/tests/test_moran.py
-#"test_moran.py" disabled because it requires an external connection
+	--ignore=esda/tests/test_moran.py \
+	--ignore=esda/tests/test_map_comparison.py
+# "test_moran.py and test_" disabled because it requires an external connection
+# "esda/tests/test_map_comparison.py" unknown error in regions.zip file path
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -m pytest  -v -k 'not test_map_comparison.py and not test_moran.py' esda/tests/
Depends: @, python3-all, python3-pytest, python3-libpysal, python3-geopandas, python3-numba, python3-matplotlib
Restrictions: allow-stderr
Architecture: !i386 !riscv64 !s390x

=== debian/watch ===
version=4
https://github.com/pysal/esda/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
